/**
 * The message handler IDs.
 * @type {string}
 */
// LINT.IfChange
const SUPPORT_URL_NAME = 'supportURL';
// LINT.ThenChange(../GHKSearchResultWebViewController.m:message_handler_names)

/**
 * The message keys.
 * @type {string}
 */
// LINT.IfChange
const SUPPORT_URL = 'supportURL';
// LINT.ThenChange(../GHKSearchResultWebViewController.m:message_keys)

/**
 * Defines the callback function for the Search Results object, which posts a
 * message to be read by HelpKit's search result WebView.
 * @param {!Page} page The page that contains the Search Results object.
 */
window.search_results = function(page) {
  const searchResultsObj = page.getChild();
  if (searchResultsObj == undefined) {
    return;
  }
  searchResultsObj.setSupportUrlCallback(function(supportUrl) {
    window.webkit.messageHandlers[SUPPORT_URL_NAME].postMessage({
      [SUPPORT_URL]: supportUrl,
    });
  });
};
